com.holonplatform.vaadin.flow.components.builders

## Interface LabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier,C extends LabelConfigurator<L,C>>

- Type Parameters:
    `L` - Concrete label component type
    `C` - Concrete configurator type
  All Superinterfaces:
    ClickNotifierConfigurator<L,ClickEvent<L>,C>, ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasHtmlTextConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTextConfigurator<C>, HasTitleConfigurator<C>, HtmlComponentConfigurator<C>
  All Known Subinterfaces:
    LabelBuilder<L>, LabelConfigurator.BaseLabelConfigurator<L>

      public interface LabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier,C extends LabelConfigurator<L,C>>
      extends HtmlComponentConfigurator<C>, HasEnabledConfigurator<C>, HasTextConfigurator<C>, HasHtmlTextConfigurator<C>, ClickNotifierConfigurator<L,ClickEvent<L>,C>, DeferrableLocalizationConfigurator<C>

  Interface to configure a label, i.e. a component to display a text.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `LabelConfigurator.BaseLabelConfigurator<L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier>` Base Label configurator.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `HasTextConfigurator.BaseHasTextConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier> LabelConfigurator.BaseLabelConfigurator<L>` | `configure(L component)` Obtain a `LabelConfigurator` to configure given label component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `create, create, text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasHtmlTextConfigurator

      `htmlText, htmlText, htmlText`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener, withClickShortcut, withClickShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### configure

          static <L extends com.vaadin.flow.component.HtmlContainer & com.vaadin.flow.component.ClickNotifier> LabelConfigurator.BaseLabelConfigurator<L> configure(L component)

      Obtain a `LabelConfigurator` to configure given label component.

      The component must be a `HtmlContainer` and `ClickNotifier`, such as `Span` or `Div`.

      Type Parameters:
        `L` - Label component type
      Parameters:
        `component` - The component to configure (not null)
      Returns:
        A `LabelConfigurator` to configure given component

Copyright © 2020 The Holon Platform. All rights reserved.